/* SCE CONFIDENTIAL
PLAYSTATION(R)3 Programmer Tool Runtime Library 084.006
* Copyright (C) 2004 Sony Computer Entertainment Inc. 
* All Rights Reserved.
*/
_FUNC_DEF(vec_float4, logbf4, (vec_float4 x))
{
  vec_int4 e1 = vec_and((vec_int4)x, (vec_int4)(0x7F800000));
  vec_uint4 zeromask = (vec_uint4)vec_cmpeq(e1, (vec_int4)(0));
  e1 = vec_sub(e1, (vec_int4)(0x3F800000));
  return vec_sel(vec_ctf(e1,23), (vec_float4)(-HUGE_VALF), zeromask);
}

